<html onMouseOver="self.status='Powered by Carpediem Colombia Ltda';return true">
   <head>
    <title>.::Virtual Courrier - Ingresar Datos::. </title>
	<link rel="stylesheet" href="../css/style.css" type="text/css">
     </head>

   <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" bgcolor="#ffffff">
   <center><table width="1004" height="60" border="0" cellpadding="0" cellspacing="0">
  <tbody><tr>
    <td background="../imagenes/baner.jpg"></td>
  </tr>
</tbody></table></center><br><br>
<?php
include("prueba.php");
//if($_POST['empresa']=='Envia'){
include("conexion.php");
//echo "Envia";
//}else{
//include("conexion_computec.php");
//echo "Computec";
//}
//include("datosUsuarioView.php");
 class nuevoPrueba {

	// PROPIEDADES
	var $pruebaObj;
	var $conexionObj;
	var $estado;

	// CONFIGURADORES
	function setPrueba($doc){
			$this->pruebaObj=new prueba();
			$this->pruebaObj->setGuia($guia);
	}//END FUNCION SET

	function getPrueba(){
		return $this->pruebaObj;
	}//END FUNCION GET

	// OPERACION DE NEGOCIO
	function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$rst=$this->conexionObj->consultar("SELECT * FROM `tablas_digitalizacion` ORDER BY id DESC");
		if(mysql_num_rows($rst)>=1){
		   //$this->insertarDatos();
		   //echo "Hay Registros";
		   $fila = mysql_fetch_array($rst);
		   //while($fila = mysql_fetch_array($rst)){ // Uso del While para verificar la cantidad de registros en tablas de digitalizacion //
		   $tabla_1=$fila['nom_tabla'];
		   
		   $rst_tablas=$this->conexionObj->consultar("SELECT * FROM $tabla_1");
		   
		   		if(mysql_num_rows($rst_tablas)<=300){
					$this->insertarDatos($tabla_1);
					
		   		}else{
		   			//echo "Entro Else";
					$numero=$fila['id']+1;
					$nulo=0;
					$tabla_1="digitalizacion_".$numero;
					$rst_crear_tabla=$this->conexionObj->consultar("CREATE TABLE ".$tabla_1." (`id` int(10) unsigned NOT NULL auto_increment,
					`guia` varchar(100) NOT NULL,
					`path` varchar(250) NOT NULL,
					`caja` char(15) NOT NULL,
					`paquete` char(15) NOT NULL,
					`posicion` char(15) NOT NULL,
					UNIQUE KEY `id` (`id`),
					UNIQUE KEY `guia` (`guia`)) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;");
					//echo "insert into tablas_digitalizacion values('".$nulo."', 'digitalizacion_".$numero."')";
					$rst_insertar=$this->conexionObj->modificar("insert into tablas_digitalizacion values(0, '".$tabla_1."')");
					$this->insertarDatos($tabla_1);
		   		}
		   //}
        }
		else{
		   //echo "No hay registros";
		   $rst_crear_tabla=$this->conexionObj->consultar("CREATE TABLE `digitalizacion_1` (`id` int(10) unsigned NOT NULL auto_increment,
		   `guia` varchar(100) NOT NULL,
		   `path` varchar(250) NOT NULL,
		   `caja` char(15) NOT NULL,
		   `paquete` char(15) NOT NULL,
		   `posicion` char(15) NOT NULL,
			UNIQUE KEY `id` (`id`),
			UNIQUE KEY `guia` (`guia`)) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;");
			$rst_insertar=$this->conexionObj->modificar("insert into tablas_digitalizacion values(0, 'digitalizacion_1')");
		    $tabla_1='digitalizacion_1';
			//$_SESSION['tabla']=$tabla_1;
			$this->insertarDatos($tabla_1);
		   }
	}//END FUNCION VALIDAR

function insertarDatos($tabla_1){
//echo "entro insertar";//$fn1=$_POST['fn'];
$sep=$_POST['sep'];
$nombre=$_FILES['txt']['name'];
$tipo=$_FILES['txt']['type'];
$tam=$_FILES['txt']['size'];

			$ruta="/opt/lampp/htdocs/servicio_cliente/trabajo/".$nombre;
		   if (move_uploaded_file($_FILES['txt']['tmp_name'], $nombre)){
	       @copy($_FILES['txt']['tmp_name'], $_FILES['txt']['name']);
		   }else{
			    echo "No se subio el archivo";
		    }
			/*echo "LOAD DATA INFILE '$nombre' INTO TABLE `$tabla_1` 
 FIELDS TERMINATED BY ';' "."OPTIONALLY ENCLOSED BY '\"' ESCAPED BY '' LINES TERMINATED BY '\r\n'";
$rst_crear_tabla=$this->conexionObj->consultar("LOAD DATA INFILE $nombre REPLACE INTO TABLE `$tabla_1` 
FIELDS TERMINATED BY ';' "."OPTIONALLY ENCLOSED BY '\"' ESCAPED BY '' LINES TERMINATED BY '\\n'");*/
		//}
	$lines = file($nombre);
	$i=0;
	foreach ($lines as $line_num => $line) {
	
	$datos = explode($sep, $line);
	$num=0;
	$guia_f=$datos[0];
	$path_f=$datos[1];
	$caja_f=$datos[2];
	$paquete_f=$datos[3];
	$posicion_f=$datos[4];
	$guia_f = trim($guia_f);
	$path_f = trim($path_f);
	$caja_f = trim($caja_f);
	$paquete_f = trim($paquete_f);
	$posicion_f = trim($posicion_f);
	$est=0;
	
	if($i>0){
		$rst=$this->conexionObj->modificar("insert into $tabla_1 values('".$num."','".$guia_f."','".$path_f."','".$caja_f."','".$paquete_f."','".$posicion_f."' )");
	}
	$i=$i+1;
	}
	$i--;
		echo "<center>";
		echo "<div align=center><strong><font face=Verdana size=2>Cargue de Archivos Digitalizacion</font></strong></div><br>";
		echo "<table border=0 width=246 id=table1><tr class=miTable_tr><td width=220 class=miTable_th1>Tabla de Digitalizacion: </td>";
		echo "<td width=26 class=miTable_td>".$tabla_1."</td></tr>";
		echo "<tr class=miTable_tr><td width=220 class=miTable_th1>Registros Cargados: </td>";
		echo "<td width=26 class=miTable_td>".$i."</td></tr></table>";
		echo "<br><a href=../index.php>Volver</a>";
		echo "</center>";
}//END FUNCION INSERTAR

}//END CLASE PRUEBA
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$nuevoPruebaObj->setPrueba($_POST['txt']);

// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar();
?>
<br><br>
<table width=503 border=0 align=center cellpadding=0 cellspacing=0>
  <tbody>
    <tr> 
      <td></td>
    </tr>
    <tr> 
      <td height=7 background="../imagenes/lineas_pie.jpg"><img src=index2_files/spacer.html width=1 height=15></td>
    </tr>
    <tr> 
      <td> <BR> <center>
          <img src="../imagenes/recursos/envia.gif" alt="..::Envia::.." title="..::Envia::.." border=0> 
          <BR>
        </center></td>
    </tr>
  </tbody>
</table>
</body>
</html>